Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.adapter.defaultprovider.impl
Class PacketAdapterImpl

    java.lang.Object
      |
      +--com.bea.wlrt.ede.impl.AbstractStreamingEventSource
            |
            +--com.bea.wlrt.ede.impl.AbstractStage
                  |
                  +--com.bea.wlrt.ede.impl.AbstractAdapter
                        |
                        +--com.bea.wlrt.adapter.defaultprovider.impl.SocketAdapterImpl
                              |
                              +--com.bea.wlrt.adapter.defaultprovider.impl.PacketAdapterImpl

Direct Known Subclasses:
  CSVAdapterImpl

public abstract class PacketAdapterImpl
extends SocketAdapterImpl
implements com.bea.wlrt.adapter.defaultprovider.PacketAdapter

Handles reading and buffering data from a socket connection. Data is read into a Packet.

Constructor Summary
`PacketAdapterImpl(String id)`

Method Summary
`protected abstract List` | `createEventObjects(Packet packet)` Creates event objects from the data in the passed in packet
`protected char` | `getEventDelimiter()` Returns ';' as the delimiter which separates events in the input data.
`protected Connection.Listener` | `getReadListener(Connection conn)` Returns this listener implementation

Methods inherited from class com.bea.wlrt.adapter.defaultprovider.impl.SocketAdapterImpl
`connectionCreated, getPort, getServerConnection, onEvent, setPort, setupServerConnection`

Methods inherited from class com.bea.wlrt.ede.impl.AbstractAdapter
`getEventGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketAdapterImpl

    public PacketAdapterImpl(String id)

Method Detail

### getEventDelimiter

    protected char getEventDelimiter()

  Returns ';' as the delimiter which separates events in the input data. May be overridden if the input data uses a different delimiter.

  Returns:
    the ';' character

### getReadListener

    protected Connection.Listener getReadListener(Connection conn)

  Returns this listener implementation

  Returns:
    the listener
  Overrides:
    getReadListener in class SocketAdapterImpl

### createEventObjects

    protected abstract List createEventObjects(Packet packet)

  Creates event objects from the data in the passed in packet

  Parameters:
    `packet` - data read from the socket connection
  Returns:
    a list of event objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD